Site
Site
Overview
DNS Protection Site API
Version information
Version : 2.0.0
License information
Terms of service : https://www.nexusguard.com/
URI scheme
Host : api.nexusguard.com
BasePath : /api
Schemes : HTTPS
Paths
Retrieves site list.
GET /spe/customer/{customer_id}/dp/v2/sites
Description
This API retrieves a complete list of site. See notes on individual parameters below.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | access_token required |
Access token used to authenticate your access to the API | string |
| Query | order optional |
Sort direction for the data. Only ‘ASC’ or ‘DESC’ are allowed. | string |
| Query | order_by optional |
Field by which to sort the data. Only ‘name’ is allowed. | string |
| Query | page_index required |
Page index of site data page. | integer |
| Query | search optional |
Search term to filter site data by name field. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | This is the returned result. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code | integer |
| msg optional |
Error message | string |
| result optional |
The data of sites. | result |
| Name | Description | Schema |
|---|---|---|
| sites optional |
< sites > array | |
| total_count optional |
Total number of sites. | integer |
| total_page optional |
Total page of sites data. | integer |
| Name | Description | Schema |
|---|---|---|
| id optional |
ID of the site. | integer |
| name optional |
Name of the site. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| Unknown | ApiKeyAuth |